
extern "C" 
{
	
	void IrrGUI_IGUIImageList_draw( IGUIImageList* il, s32 index, position2di* destPos, recti* clip = 0 )
	{
		if (il)
			il->draw(index, *destPos, clip);
	}
	
	s32 IrrGUI_IGUIImageList_getImageCount(IGUIImageList* il)
	{
		if (il)
			return il->getImageCount();
		else return -1;
	}
	
	// must delete
	dimension2di* IrrGUI_IGUIImageList_getImageSize(IGUIImageList* il)
	{
		if (il)
			return new dimension2di(il->getImageSize());
	}

	bool IrrGUI_IGUIImageList_drop(IGUIImageList* unk)
	{
		if (unk)
			return unk->drop();
		else return 0;
	}
	
	const c8* IrrGUI_IGUIImageList_getDebugName(IGUIImageList* unk)
	{
		if (unk)
			return unk->getDebugName();
		else return "";
	}
	
	void IrrGUI_IGUIImageList_grab(IGUIImageList* unk)
	{
		if (unk)
			unk->grab();
	}
}